﻿using System.Collections.Generic;
using System.Linq;

namespace DocuGenerator.Model
{
	public class Property
	{
		public Property(
			string name, 
			DeclaringType Type, 
			string summary = null)
		{
			Name = name;
			this.Type = Type;
			Summary = summary;
		}

		public string Name { get; private set; }
		public DeclaringType Type { get; private set; }
		public string Summary { get; private set; }
	}
}