using System.Windows.Input;

namespace Byond.Vst.WpfSendKeys
{
	public class KeyPressInfo
	{
		public KeyPressInfo(Key key)
		{
			Key = key;
			Modifiers = ModifierKeys.None;
		}

		public KeyPressInfo(Key key, ModifierKeys modifierKeys)
		{
			Key = key;
			Modifiers = modifierKeys;
		}

		public Key Key { get; set; }
		public ModifierKeys Modifiers { get; set; }

		public override string ToString()
		{
			var result = Key.ToString();
			if (Modifiers != ModifierKeys.None)
				result = Modifiers + " + " + result;
			return result;
		}
	}
}