﻿using System;
using System.Windows.Input;
using Mvvm;
using Utils;

namespace Play.Shell.ViewModels
{
	public class VstPluginSelectViewModel
	{
		private readonly Action _select;

		public VstPluginSelectViewModel(string name, Action select)
		{
			_select = @select;
			Name = name;
			SelectCommand = new RelayCommand(_select);
		}

		public ICommand SelectCommand { get; private set; }

		public string Name { get; private set; }
	}
}