﻿using Jacobi.Vst.Core;
using Jacobi.Vst.Interop.Host;

namespace Play.VstPluginManagement
{
	public class VstPluginInfo
	{
		private readonly VstPluginContext _pluginContext;

		public VstPluginInfo(VstPluginContext pluginContext, string path)
		{
			_pluginContext = pluginContext;
			Path = path;
			PluginName = _pluginContext.PluginCommandStub.GetProductString();
			Category = _pluginContext.PluginCommandStub.GetCategory();
		}

		public string Path { get; private set; }
		public string PluginName { get; private set; }
		
		// TODO: Dieses Enum nochmal wrappen?
		public VstPluginCategory Category { get; private set; }
	}
}