﻿using System.Collections.Generic;
using System.Linq;

namespace DocuGenerator.Model
{
	public class Category
	{
		public Category(string name, IEnumerable<DeclaringType> types)
		{
			Name = name;
			Types = types.ToArray();
		}

		public string Name { get; private set; }
		public DeclaringType[] Types { get; private set; }
	}
}
