﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows.Threading;
using Samplum.HostObjects;
using Samplum.UI;
using Samplum.Util;

namespace Samplum.Patches
{
	// TODO: Lp4 ist Multiplexer
	public class Lp4 : Patch
	{
		public Lp4()
		{
			Frq = 5000;
			Res = 0.5;

			_algorithm = new Lp4Algorithm(this);
		}

		private readonly Lp4Algorithm _algorithm;

		public double Frq;
		public double Res;
		public double In;
		public double Out;

		public override void Ar()
		{
			Out = _algorithm.Process(In);
		}
	}
}
