﻿using System;
using System.Runtime.InteropServices;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Forms;
using System.Windows.Forms.Integration;
using Point = System.Drawing.Point;
using Size = System.Drawing.Size;
using UserControl = System.Windows.Forms.UserControl;

namespace Byond.Vst
{
	public partial class WinFormsEditor : UserControl
	{
		private readonly ElementHost _wpfElementHost;

		public WinFormsEditor()
		{
			_wpfElementHost = new ElementHost();
			SuspendLayout();
			// 
			// _wpfElementHost
			// 
			_wpfElementHost.Location = new Point(0, 0);
			_wpfElementHost.Name = "_wpfElementHost";
			_wpfElementHost.Dock = DockStyle.Fill;
			_wpfElementHost.TabIndex = 0;
			_wpfElementHost.Text = "_wpfElementHost";

			// 
			// WinFormsEditor
			// 
			//AutoScaleDimensions = new SizeF(6F, 13F);
			//AutoScaleMode = AutoScaleMode.Font;
			Controls.Add(_wpfElementHost);
			Name = "WinFormsEditor";
			Size = new Size(1200, 750);
			ResumeLayout(false);
		}

		//private bool _isInitialized;

		[DllImport("user32.dll")]
		public static extern IntPtr SetParent(IntPtr child, IntPtr newParent);

		public void Open(IntPtr hWnd)
		{
			//if (_isInitialized)
			//    throw new Exception("Editor cannot be reused.");

			//_isInitialized = true;
			SetParent(Handle, hWnd);
			Show();
		}

		//public void Close()
		//{
		//    //_wpfElementHost.Child = null;
		//    //Dispose();
		//}

		public void SetContent(FrameworkElement frameworkElement)
		{
			if (_wpfElementHost.Child == frameworkElement)
				return;

			// HACK
			if (frameworkElement.Parent is ContentControl)
				(frameworkElement.Parent as ContentControl).Content = null;

			_wpfElementHost.Child = frameworkElement;
		}
	}
}